DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
ContentIdentificationMacro::AlternateContentDescriptionItem Class Reference

Class representing an Alternate Content Description item. More...

## Public Member Functions
| AlternateContentDescriptionItem ()
| Constructor.
virtual | ~AlternateContentDescriptionItem ()
| Virtual destructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual OFCondition | getContentDescription (OFString &value, const signed long pos=0)
| Get Content Description. More...
virtual CodeSequenceMacro & | getLanguageCode ()
| Get Language Code. More...
virtual OFCondition | setContentDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Description. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Alternate Content Description Sequence item from given item. More...
virtual OFCondition | write (DcmItem &item)
| Write alternate content description item to given item. More...

## Private Attributes
DcmLongString | m_ContentDescription
| Content Description: (LO, VM 1, Type 1)
CodeSequenceMacro | m_LanguageCode
| Item of Language Code Sequence: (SQ, VM 1, Type 1)

## Detailed Description

Class representing an Alternate Content Description item.

## Member Function Documentation

## ◆ getContentDescription()

virtual OFCondition ContentIdentificationMacro::AlternateContentDescriptionItem::getContentDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Content Description.

Parameters

  value | Reference variable to store the value to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, error otherwise

## ◆ getLanguageCode()

virtual CodeSequenceMacro& ContentIdentificationMacro::AlternateContentDescriptionItem::getLanguageCode | ( |  | ) |
| virtual

Get Language Code.

Returns
  Reference to the language code

## ◆ read()

virtual OFCondition ContentIdentificationMacro::AlternateContentDescriptionItem::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read Alternate Content Description Sequence item from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading, otherwise it is kept/overwritten

Returns
  EC_Normal, if reading was successful, error otherwise

## ◆ setContentDescription()

virtual OFCondition ContentIdentificationMacro::AlternateContentDescriptionItem::setContentDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Content Description.

Parameters

  value | The value to set
  checkValue | If OFTrue, consistency check is performed

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ write()

virtual OFCondition ContentIdentificationMacro::AlternateContentDescriptionItem::write | ( | DcmItem & | item | ) |
| virtual

Write alternate content description item to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal, if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1